/**
* 文件：DemoQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.demo.model;
import java.util.List;

/**
 * <p>Title: 演示模块</p>
 * <p>Description: DemoQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class DemoQuery extends DemoEntity{
	private static final long serialVersionUID = 1603706650204L;
	/** 开始 设备ID，自增长 */
	private Long idStart;

	/** 结束 设备ID，自增长 */
	private Long idEnd;

	/** 增加 设备ID，自增长 */
	private Long idIncrement;

	/** 设备ID，自增长 */
	private List<Long> idList;

	/** 演示字段1 */
	private List<String> fieldOneList;

	/** 开始 演示字段1 */
	private Long fieldTwoStart;

	/** 结束 演示字段1 */
	private Long fieldTwoEnd;

	/** 增加 演示字段1 */
	private Long fieldTwoIncrement;

	/** 演示字段1 */
	private List<Long> fieldTwoList;

	/** 开始 变更时间 */
	private String updateTimeStart;

	/** 结束 变更时间 */
	private String updateTimeEnd;

	/** 变更用户loginName */
	private List<String> updateUserList;

	/** 开始 创建时间 */
	private String createTimeStart;

	/** 结束 创建时间 */
	private String createTimeEnd;

	/** 创建用户loginName */
	private List<String> createUserList;


	public DemoQuery(){
	}
	/**
	 * 获取 开始 设备ID，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 设备ID，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 设备ID，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 设备ID，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 设备ID，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 设备ID，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 设备ID，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 设备ID，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 演示字段1
	 * @return fieldOneList
	 */
	public List<String> getFieldOneList(){
		return this.fieldOneList;
	}

	/**
	 * 设置 演示字段1
	 * @param fieldOneList
	 */
	public void setFieldOneList(List<String> fieldOneList){
		this.fieldOneList = fieldOneList;
	}

	/**
	 * 获取 开始 演示字段1
	 * @return fieldTwoStart
	 */
	public Long getFieldTwoStart(){
		return this.fieldTwoStart;
	}

	/**
	 * 设置 开始 演示字段1
	 * @param fieldTwoStart
	 */
	public void setFieldTwoStart(Long fieldTwoStart){
		this.fieldTwoStart = fieldTwoStart;
	}

	/**
	 * 获取 结束 演示字段1
	 * @return fieldTwoEnd
	 */
	public Long getFieldTwoEnd(){
		return this.fieldTwoEnd;
	}

	/**
	 * 设置 结束 演示字段1
	 * @param fieldTwoEnd
	 */
	public void setFieldTwoEnd(Long fieldTwoEnd){
		this.fieldTwoEnd = fieldTwoEnd;
	}

	/**
	 * 获取 增加 演示字段1
	 * @return fieldTwoIncrement
	 */
	public Long getFieldTwoIncrement(){
		return this.fieldTwoIncrement;
	}

	/**
	 * 设置 增加 演示字段1
	 * @param fieldTwoIncrement
	 */
	public void setFieldTwoIncrement(Long fieldTwoIncrement){
		this.fieldTwoIncrement = fieldTwoIncrement;
	}

	/**
	 * 获取 演示字段1
	 * @return fieldTwoList
	 */
	public List<Long> getFieldTwoList(){
		return this.fieldTwoList;
	}

	/**
	 * 设置 演示字段1
	 * @param fieldTwoList
	 */
	public void setFieldTwoList(List<Long> fieldTwoList){
		this.fieldTwoList = fieldTwoList;
	}

	/**
	 * 获取 开始 变更时间
	 * @return updateTimeStart
	 */
	public String getUpdateTimeStart(){
		return this.updateTimeStart;
	}

	/**
	 * 设置 开始 变更时间
	 * @param updateTimeStart
	 */
	public void setUpdateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
	}

	/**
	 * 获取 结束 变更时间
	 * @return updateTimeEnd
	 */
	public String getUpdateTimeEnd(){
		return this.updateTimeEnd;
	}

	/**
	 * 设置 结束 变更时间
	 * @param updateTimeEnd
	 */
	public void setUpdateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
	}

	/**
	 * 获取 变更用户loginName
	 * @return updateUserList
	 */
	public List<String> getUpdateUserList(){
		return this.updateUserList;
	}

	/**
	 * 设置 变更用户loginName
	 * @param updateUserList
	 */
	public void setUpdateUserList(List<String> updateUserList){
		this.updateUserList = updateUserList;
	}

	/**
	 * 获取 开始 创建时间
	 * @return createTimeStart
	 */
	public String getCreateTimeStart(){
		return this.createTimeStart;
	}

	/**
	 * 设置 开始 创建时间
	 * @param createTimeStart
	 */
	public void setCreateTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
	}

	/**
	 * 获取 结束 创建时间
	 * @return createTimeEnd
	 */
	public String getCreateTimeEnd(){
		return this.createTimeEnd;
	}

	/**
	 * 设置 结束 创建时间
	 * @param createTimeEnd
	 */
	public void setCreateTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
	}

	/**
	 * 获取 创建用户loginName
	 * @return createUserList
	 */
	public List<String> getCreateUserList(){
		return this.createUserList;
	}

	/**
	 * 设置 创建用户loginName
	 * @param createUserList
	 */
	public void setCreateUserList(List<String> createUserList){
		this.createUserList = createUserList;
	}


}